Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print.attribute
Class UnmodifiableSetException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.print.attribute.UnmodifiableSetException

All Implemented Interfaces:
  Serializable

public class UnmodifiableSetException
extends RuntimeException

Thrown to indicate that the requested operation cannot be performed becasue the set is unmodifiable.

Since:
  1.4
See Also:
  Serialized Form

Constructor Summary
`UnmodifiableSetException()` Constructs an UnsupportedOperationException with no detail message.
`UnmodifiableSetException(String message)` Constructs an UnmodifiableSetException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnmodifiableSetException

    public UnmodifiableSetException()

  Constructs an UnsupportedOperationException with no detail message.

### UnmodifiableSetException

    public UnmodifiableSetException(String message)

  Constructs an UnmodifiableSetException with the specified detail message.

Parameters:
  `message` - the detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.